# Deprecated API

## Contents

- Classes
- Methods

Deprecated Classes
Class
Description
org.apache.avro.ipc.SocketServer
use `SaslSocketServer` instead.
org.apache.avro.ipc.SocketTransceiver
use `SaslSocketTransceiver` instead.

Deprecated Methods
Method
Description
org.apache.avro.ipc.Requestor.readError(Schema, Decoder)
org.apache.avro.ipc.Requestor.readResponse(Schema, Decoder)
org.apache.avro.ipc.specific.SpecificRequestor.getDatumReader(Schema)